%define momorel 1

Summary		: NTFS filesystem libraries and utilities
Name		: ntfsprogs
Version		: 1.9.2
Release		: %{momorel}m
%NoSource 0	  http://umn.dl.sourceforge.net/sourceforge/linux-ntfs/ntfsprogs-%{version}.tar.gz 7afa40d1764dc5427533734925f8adf7
Patch0		: ntfsprogs-1.9.0-check-gcc-version.patch
Buildroot	: %{_tmppath}/%{name}-%{version}-root
URL		: http://linux-ntfs.sourceforge.net/
License		: GPL
Group		: System Environment/Base

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system.  The ntfsprogs package
currently consists of a static library and utilities such as mkntfs, ntfscat,
ntfsls, ntfsresize, and ntfsundelete (for a full list of included utilities
see man 8 ntfsprogs after installation).

%package gnomevfs
Summary		: NTFS GNOME virtual filesystem module
Group		: System Environment/Base
Requires	: ntfsprogs = %{version}-%{release}
BuildRequires	: glib-devel
Requires	: glib
BuildRequires	: gnome-vfs-devel
Requires	: gnome-vfs
%description gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library (libntfs).

%package devel
Summary		: files required to compile software that uses libntfs
Group		: Development/Libraries
Requires	: ntfsprogs = %{version}-%{release}
%description devel
This package includes the header files and libraries needed to link software
with the NTFS library (libntfs).


%prep
%setup -q

%patch0 -p1

%build
%configure --enable-gnome-vfs
%make

%install
%{__rm} -rf %{buildroot}

%makeinstall transform='s,x,x,'

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO.include TODO.libntfs TODO.ntfsprogs doc/CodingStyle doc/attribute_definitions doc/attributes.txt doc/compression.txt doc/tunable_settings doc/template.c doc/template.h doc/system_files.txt doc/system_security_descriptors.txt
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/ntfs*.8*
%{_libdir}/libntfs.so.*

%files gnomevfs
%defattr(-,root,root)
%{_mandir}/man8/libntfs-gnomevfs.8*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%config %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libntfs.*a
%{_libdir}/libntfs.so
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a

%changelog
* Thu May 27 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.9.2-1m)
- update to 1.9.2

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.9.1-3m)
- rebuild against for gnome-vfs-2.6.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.9.1-2m)
- rebuild against for glib-2.4.0

* Sat Apr 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.9.1-1m)
- minor feature enhancements

* Fri Mar 26 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.9.0-1m)
- update to 1.9.0
- add gnomevfs package
- revise check-gcc-version.patch
- add URL
- import descriptions from original archive
- use aclocal-1.7 or Makefile was made broken
- use %%NoSource, %%make
- add %%post, %%postun
- revise %%files

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.1-2m)
- transform='s,x,x,' in %makeinstall

* Sat Mar 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.7.1-1m)
- import to momonga

* Sat Jan 18 2003 Anton Altaparmakov <aia21@cantab.net>
- renamed to ntfsprogs.spec.in
- change source tar ball name to ntfsprogs

* Tue Dec 10 2002 Anton Altaparmakov <aia21@cantab.net>
- added ntfsresize

* Wed Jul 18 2002 Richard Russon <ntfs@flatcap.org>
- added ntfsundelete
- change TODO names

* Wed Jul 3 2002 Anton Altaparmakov <aia21@cantab.net>
- update my email address

* Mon Jun 3 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %doc with new TODO files

* Tue Apr 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text for ntfslabel

* Tue Mar 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Sat Jan 26 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- make dependencies pick the right version automatically

* Thu Jan 10 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- add dependency on linux-ntfs to linux-ntfs-devel
- update %description text

* Fri Nov 09 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- (re)enable installation of shared libraries

* Wed Aug 22 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Thu Aug 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Wed Jul 25 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- include sbin install path (mkntfs now is in sbin)

* Tue Jul 24 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Mon Jun 11 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- remove duplicate %configure options
- remove shared library installation as shared libraries are disabled by
default

* Sun Jun 10 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- add man pages stuff
- update info text
- add new doc/ stuff
- modify installation to do install-strip instead of install followed by manual
stripping
- update download URL to be the fast sourceforge http download server

* Fri Feb 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- started changelog

